# Get balance report

## Balance Report Endpoint

> Retrieve the details of your daily Balance Report in a given time.

```json
{"openapi":"3.0.0","info":{"title":"Reconciliation API - Balance Report Endpoint","version":"1.0.0"},"servers":[{"url":"https://merchants-api.onekeypayments.com/v1","description":"Production Server"},{"url":"https://merchants-api-stg.onekeypayments.com/v1","description":"Staging Server"}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"BEARER_TOKEN"}},"schemas":{"PaginatedBalanceReport":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/BalanceReport"}}}}]},"Pagination":{"type":"object","properties":{"page":{"type":"integer"},"rows":{"type":"integer"},"maxRows":{"type":"integer"}}},"BalanceReport":{"type":"object","properties":{"idMerchant":{"type":"integer"},"depositTotal":{"type":"number","format":"float"},"cashoutTotal":{"type":"number","format":"float"},"noteTotal":{"type":"number","format":"float"},"settlementTotal":{"type":"number","format":"float"},"cancelledSettlementTotal":{"type":"number","format":"float"},"depositFeeTotal":{"type":"number","format":"float"},"netAmount":{"type":"number","format":"float"},"totalBalance":{"type":"number","format":"float"},"date":{"type":"string","format":"date-time"},"currency":{"type":"string"}}}}},"paths":{"/balance/report":{"get":{"summary":"Balance Report Endpoint","description":"Retrieve the details of your daily Balance Report in a given time.","operationId":"getBalanceReport","tags":["Balance & Reports"],"parameters":[{"name":"from","in":"query","description":"Transaction creation date interval in Unix TimeStamp format.","schema":{"type":"integer"}},{"name":"to","in":"query","description":"Transaction creation date interval in Unix TimeStamp format, max difference with 'from' value 60 days.","schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page number.","schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"A paginated list of daily balance reports.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedBalanceReport"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/reconciliation-api/retrieve-information/get-balance-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
